Subject: Wild Mushrooms in So. Cal.?

From: [email-masked] (Steve Weiss)
Date: 25 Dec 1994 11:36:03 -0800

Over the holidays, my inlaws from Barcelona are staying with me in Los 
Angeles.  They would like to look for mushrooms in this area.  They 
can distinguish mushrooms such as Lactarius sanguifluus, Morchella 
vulgaris, and Cantharelus cibarius.  Any suggestions as to where in 
Southern California I might take them?  You can email me directly.

Thanks in advance,

Steve Weiss
[email-masked]